<?php

include_once("Jobs.php");
class ContabDelphi
{
	public static function criaJob($nomeJob, $dataContabAuto, $sequencialJob, $descricao, $dirphp)
    {
        try {
			
            $metodo = Jobs::revertDirectory(
                '"'.$dirphp.'\php.exe" "'.__DIR__.'\ExecutaDll.php" '.$sequencialJob
            );		

            $jenkins = new Jobs($nomeJob, 'view/Tudo/createItem?');

            $jenkins->setType(Jobs::TYPE_JOB_MULT_CONF);
            $jenkins->setUrlConfig(null);
            $jenkins->setPeriod($jenkins->formatDateToExecute($dataContabAuto));
            $jenkins->setDescription($descricao);
            $jenkins->setMethod($metodo);
            $jenkins->createJob();
            $jenkins->configuration();
        } catch (\Exception $e) {
            echo $e->getMessage();
			die;
        }
    }
	
	public static function apagaJob($nomeJob)
	{
		$jenkins = new Jobs($nomeJob);
		$jenkins->setUrlDelete($nomeJob);
		$jenkins->deleteJob();
	}
}

if ($argv[1] == 'D'){
    ContabDelphi::apagaJob($argv[2]);
}
else{
	ContabDelphi::criaJob($argv[2], $argv[3], $argv[4], $argv[5], $argv[6]);
}