<?php
namespace Jenkins;

class Jenkins
{	
    private $url_jenkins;
    private $url_create_item;
    private $url_config_job;
    private $url_delete_job;
    private $name;
    private $type;
    private $from;
    private $submit;
    private $description;

    private $method;
    private $period;

    public function __construct($name, $createItem = null)
    {
        $this->setUrlJenkins('http://localhost:8080/');
        $this->setUrlCreateItem($createItem);
        $this->setUrlDelete(null);
        $this->setName($name);
    }

    public function setUrlJenkins($url_jenkins)
    {
        return $this->url_jenkins = $url_jenkins;
    }

    public function getUrlJenkins()
    {
        return $this->url_jenkins;
    }

    public function setUrlCreateItem($url_create_item)
    {
        if (empty($url_create_item))
            $url_create_item = 'view/Tudo/createItem?';
        $url_create_item = $this->getUrlJenkins() . $url_create_item;
        return $this->url_create_item = $url_create_item;
    }

    public function getUrlCreateItem()
    {
        return $this->url_create_item;
    }

    public function setUrlConfig($name)
    {
        if (empty($name))
            $name = $this->getName();

        $url_config = 'job/'.$name.'/configSubmit';
        $url_config = $this->getUrlJenkins() . $url_config;
        return $this->url_config_job = $url_config;
    }

    public function getUrlConfig()
    {
        return $this->url_config_job;
    }
    public function setUrlDelete($name)
    {
        if (empty($name))
            $name = $this->getName();

        $url_delete = $this->getUrlJenkins() . 'job/'.$name.'/doDelete';
        return $this->url_delete_job = $url_delete;
    }

    public function getUrlDelete()
    {
        return $this->url_delete_job;
    }

    public function setName($name)
    {
        return $this->name = $name;
    }

    public function getName()
    {
        return $this->name;
    }

    public function setType($type)
    {
        return $this->type = $type;
    }

    public function getType()
    {
        return $this->type;
    }

    public function setFrom($from)
    {
        return $this->from = $from;
    }

    public function getFrom()
    {
        return $this->from;
    }

    public function setSubmit($submit)
    {
        return $this->submit = $submit;
    }

    public function getSubmit()
    {
        return $this->submit;
    }

    public function setDescription($description)
    {
        return $this->description = $description;
    }

    public function getDescription()
    {
        return $this->description;
    }

    public function setMethod($method)
    {
        return $this->method = $method;
    }

    public function getMethod()
    {
        return $this->method;
    }

    public function setPeriod($period)
    {
        return $this->period = $period;
    }

    public function getPeriod()
    {
        return $this->period;
    }
}
